• Share
    • Twitter
    • LinkedIn
    • Facebook
    • Email
  • Feedback
  • Edit
Show / Hide Table of Contents

POST Agents/Project/AddProjectMembers

Some tooltip text!
• 2 minutes to read
 • 2 minutes to read
POST /api/v1/Agents/Project/AddProjectMembers

Add multiple project members to a project

NsApiSlow threshold: 2000 ms.

Query String Parameters

Parameter Name Type Description
$select string Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields.
POST /api/v1/Agents/Project/AddProjectMembers?$select=name,department,category/id

Request Headers

Parameter Name Description
Authorization Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type.
X-XSRF-TOKEN If not using Authorization header, you must provide XSRF value from cookie or hidden input field
Content-Type Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json
Accept Content-type(s) you would like the response in:
SO-AppToken The application token that identifies the partner app. Used when calling Online WebAPI from a server.

Request Body: request

ProjectEntityId, ProjectMembers

Property Name Type Description
ProjectEntityId Integer
ProjectMembers Array

Response:

No Content

Response Description
204 No Content

Response body: TimeZoneData

Sample request

POST /api/v1/Agents/Project/AddProjectMembers
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *
Content-Type: application/json; charset=utf-8

{
  "ProjectEntityId": 597,
  "ProjectMembers": [
    {
      "ProjectmemberId": 61,
      "ContactId": 969,
      "ProjectId": 858,
      "ContactName": "Schowalter, Gorczany and Kiehn",
      "ContactDepartment": "",
      "ProjectName": "West-Wyman",
      "EmailId": 361,
      "EmailAddress": "sienna@hane.us",
      "CountryId": 611,
      "Firstname": "Rosalia",
      "MiddleName": "Breitenberg-Ritchie",
      "Lastname": "Hoeger",
      "PersonId": 511,
      "Mrmrs": "nesciunt",
      "ProjectMemberTypeName": "Yundt-Gorczany",
      "Phone": "714.934.9956 x1524",
      "PhoneId": 178,
      "ProjectMemberTypeId": 519,
      "EmailAddressName": "frances.mccullough@grimeswolff.info",
      "Comment": "possimus",
      "FullName": "Miss Ryder Turner Sr."
    }
  ]
}

Sample response

HTTP/1.1 204 No Content
Content-Type: application/json; charset=utf-8

null
© SuperOffice. All rights reserved.
SuperOffice |  Community |  Release Notes |  Privacy |  Site feedback |  Search Docs |  About Docs |  Contribute |  Back to top